POST api/PatientEducationMaterials
Creates a new patient education material or updates an existent patient education material's information.
Request Information
URI Parameters
None.
Body Parameters
PatientEducationMaterialModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| Name |
Name of the patient education material (Required). |
string |
None. |
| Type |
Patient education material types: Document, Link or Video (Required). |
string |
None. |
| Active |
Patient education material is active or not.(Default value true). |
boolean |
None. |
| URL |
URL of the patient education material. |
string |
None. |
| Reviews |
How many times this patient has seen this patient education material. |
string |
None. |
| DateAddedUtc |
The date when the patient education material was inserted (Read only). |
date |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"patientExternalId": "sample string 1",
"doctorExternalId": "sample string 2",
"name": "sample string 3",
"type": "sample string 4",
"active": true,
"url": "sample string 6",
"reviews": "sample string 7",
"dateAddedUtc": "2026-05-29T16:58:35.4825745+00:00",
"id": "b9b6ce51-3b35-41ab-9c9e-b822945d80c2",
"externalId": "sample string 10"
}
application/xml, text/xml
<PatientEducationMaterialModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientEducationMaterials"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">b9b6ce51-3b35-41ab-9c9e-b822945d80c2</Id> <Active>true</Active> <DateAddedUtc>2026-05-29T16:58:35.4825745+00:00</DateAddedUtc> <DoctorExternalId>sample string 2</DoctorExternalId> <Name>sample string 3</Name> <PatientExternalId>sample string 1</PatientExternalId> <Reviews>sample string 7</Reviews> <Type>sample string 4</Type> <URL>sample string 6</URL> </PatientEducationMaterialModel>
application/x-www-form-urlencoded
Response Information
Resource Description
PatientEducationMaterialModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| Name |
Name of the patient education material (Required). |
string |
None. |
| Type |
Patient education material types: Document, Link or Video (Required). |
string |
None. |
| Active |
Patient education material is active or not.(Default value true). |
boolean |
None. |
| URL |
URL of the patient education material. |
string |
None. |
| Reviews |
How many times this patient has seen this patient education material. |
string |
None. |
| DateAddedUtc |
The date when the patient education material was inserted (Read only). |
date |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"patientExternalId": "sample string 1",
"doctorExternalId": "sample string 2",
"name": "sample string 3",
"type": "sample string 4",
"active": true,
"url": "sample string 6",
"reviews": "sample string 7",
"dateAddedUtc": "2026-05-29T16:58:35.4842525+00:00",
"id": "316e937b-767b-48c8-bc1d-1dd71472f339",
"externalId": "sample string 10"
}
application/xml, text/xml
<PatientEducationMaterialModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientEducationMaterials"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">316e937b-767b-48c8-bc1d-1dd71472f339</Id> <Active>true</Active> <DateAddedUtc>2026-05-29T16:58:35.4842525+00:00</DateAddedUtc> <DoctorExternalId>sample string 2</DoctorExternalId> <Name>sample string 3</Name> <PatientExternalId>sample string 1</PatientExternalId> <Reviews>sample string 7</Reviews> <Type>sample string 4</Type> <URL>sample string 6</URL> </PatientEducationMaterialModel>